## com.baidubce.services.media.model
Class DeletePipelineRequest

    java.lang.Object
      com.baidubce.model.AbstractBceRequest
          com.baidubce.services.media.model.DeletePipelineRequest

    public class DeletePipelineRequest

extends AbstractBceRequest

Constructor Summary
`DeletePipelineRequest()`

Method Summary
`String` `getPipelineName()`
`void` `setPipelineName(String pipelineName)`
`DeletePipelineRequest` `withPipelineName(String pipelineName)`
`DeletePipelineRequest` `withRequestCredentials(BceCredentials credentials)`

Methods inherited from class com.baidubce.model.AbstractBceRequest
`getRequestCredentials, setRequestCredentials`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeletePipelineRequest

    public DeletePipelineRequest()

Method Detail

### getPipelineName

    public String getPipelineName()

### setPipelineName

    public void setPipelineName(String pipelineName)

### withPipelineName

    public DeletePipelineRequest withPipelineName(String pipelineName)

### withRequestCredentials

    public DeletePipelineRequest withRequestCredentials(BceCredentials credentials)

  Specified by:
    `withRequestCredentials` in class `AbstractBceRequest`

Copyright © 2016. All rights reserved.